Skip to main content
GET
List webhook events

Authorizations

X-API-Key
string
header
required

A Modulus API key with the required webhook scope.

Query Parameters

page_size
integer
default:20

Maximum resources to return. Defaults to 20; allowed range is 1 to 100.

Required range: 1 <= x <= 100
cursor
string<uuid>

Opaque next_cursor value returned by the previous page.

merchant_branch_reference_number
string

Required for partner- and merchant-scoped keys.

type
enum<string>

Return only events of this payment event type. Payment event type delivered to a subscribed endpoint.

Available options:
payment.succeeded,
payment.declined,
payment.failed,
payment.expired
status
string

Comma-separated statuses: PENDING, SUBMITTING, SUBMIT_FAILED, SUBMITTED, DELIVERED, EXHAUSTED, or NOT_SUBSCRIBED.

date_from
string<date-time>

Inclusive lower bound for event creation time, as an RFC 3339 timestamp.

date_to
string<date-time>

Inclusive upper bound for event creation time, as an RFC 3339 timestamp.

Response

Event page.

data
object[]
required

Webhook event summaries in the current page.

pagination
object
required

Cursor-pagination state for this result page.